------------------------------------------------------------------------
r7012 | mhall | 2010-12-07 21:19:53 +1300 (Tue, 07 Dec 2010) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/classifiers/meta/RotationForest.java

Another fix to ensure unique attribute names in the transformed data
------------------------------------------------------------------------
r7013 | mhall | 2010-12-08 09:40:14 +1300 (Wed, 08 Dec 2010) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/AttributeSelectionPanel.java

setValueAt() method in AttributeTableModel now calls fireTableRowsUpdated. Also added a method to return the TableModel. These two changes effectively allow clients to listen to changes in the state of the check boxes in the table. Added a constructor with a number of boolean parameters that control whether or not the various buttons are displayed.
------------------------------------------------------------------------
r7015 | mhall | 2010-12-08 11:31:27 +1300 (Wed, 08 Dec 2010) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/core/version.txt

Updated for 3.6.4
------------------------------------------------------------------------
r7043 | mhall | 2010-12-31 09:39:59 +1300 (Fri, 31 Dec 2010) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/sql/ResultSetHelper.java

Now uses ResultSetMetaData.getColumnLabel() rather than getColumnName() so that SQL queries using the "AS" clause are handled correctly.
------------------------------------------------------------------------
r7044 | mhall | 2010-12-31 09:40:30 +1300 (Fri, 31 Dec 2010) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/experiment/InstanceQuery.java

Now uses ResultSetMetaData.getColumnLabel() rather than getColumnName() so that SQL queries using the "AS" clause are handled correctly.
------------------------------------------------------------------------
r7045 | mhall | 2010-12-31 09:41:25 +1300 (Fri, 31 Dec 2010) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/core/converters/DatabaseLoader.java

Now uses ResultSetMetaData.getColumnLabel() rather than getColumnName() so that SQL queries using the "AS" clause are handled correctly.
------------------------------------------------------------------------
r7050 | mhall | 2011-01-10 16:02:02 +1300 (Mon, 10 Jan 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/core/converters/ArffLoader.java

getStructure() now checks for a null sourceReader only if m_structure is null.
------------------------------------------------------------------------
r7059 | mhall | 2011-02-08 12:01:42 +1300 (Tue, 08 Feb 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/associations/Apriori.java
   A /branches/stable-3-6/weka/src/main/java/weka/associations/Messages.java
   A /branches/stable-3-6/weka/src/main/java/weka/associations/gsp/Messages.java
   A /branches/stable-3-6/weka/src/main/java/weka/associations/gsp/messages
   A /branches/stable-3-6/weka/src/main/java/weka/associations/gsp/messages/messages.properties
   A /branches/stable-3-6/weka/src/main/java/weka/associations/messages
   A /branches/stable-3-6/weka/src/main/java/weka/associations/messages/messages.properties
   A /branches/stable-3-6/weka/src/main/java/weka/associations/messages/messages_ja.properties
   A /branches/stable-3-6/weka/src/main/java/weka/associations/messages/messages_zh.properties
   M /branches/stable-3-6/weka/src/main/java/weka/gui/AttributeListPanel.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/AttributeSelectionPanel.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/AttributeSummaryPanel.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/AttributeVisualizationPanel.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/BrowserHelper.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/CheckBoxList.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/ComponentHelper.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/ConverterFileChooser.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/CostMatrixEditor.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/DatabaseConnectionDialog.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/FileEditor.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/GUIChooser.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/GenericArrayEditor.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/GenericObjectEditor.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/GenericPropertiesCreator.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/HierarchyPropertyParser.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/InstancesSummaryPanel.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/JListHelper.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/JTableHelper.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/ListSelectorDialog.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/LogPanel.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/LogWindow.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/LookAndFeel.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/Main.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/MemoryUsagePanel.java
   A /branches/stable-3-6/weka/src/main/java/weka/gui/Messages.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/PropertyPanel.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/PropertySelectorDialog.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/PropertySheetPanel.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/ResultHistoryPanel.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/SaveBuffer.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/SelectedTagEditor.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/SetInstancesPanel.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/SimpleCLI.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/SimpleCLIPanel.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/SimpleDateFormatEditor.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/SortedTableModel.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/SplashWindow.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/SysErrLog.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/ViewerDialog.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/WekaTaskMonitor.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/arffviewer/ArffPanel.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/arffviewer/ArffTable.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/arffviewer/ArffTableCellRenderer.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/arffviewer/ArffTableModel.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/arffviewer/ArffViewer.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/arffviewer/ArffViewerMainPanel.java
   A /branches/stable-3-6/weka/src/main/java/weka/gui/arffviewer/Messages.java
   A /branches/stable-3-6/weka/src/main/java/weka/gui/arffviewer/messages
   A /branches/stable-3-6/weka/src/main/java/weka/gui/arffviewer/messages/messages.properties
   A /branches/stable-3-6/weka/src/main/java/weka/gui/arffviewer/messages/messages_ja.properties
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/AbstractDataSink.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/Associator.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/AssociatorCustomizer.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/AttributeSummarizer.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/BeanConnection.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/BeanInstance.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/ClassAssigner.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/ClassAssignerCustomizer.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/ClassValuePicker.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/ClassValuePickerCustomizer.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/Classifier.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/ClassifierCustomizer.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/ClassifierPerformanceEvaluator.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/Clusterer.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/ClustererCustomizer.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/ClustererPerformanceEvaluator.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/CostBenefitAnalysis.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/CrossValidationFoldMaker.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/CrossValidationFoldMakerCustomizer.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/DataVisualizer.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/Filter.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/FilterCustomizer.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/FlowRunner.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/GraphViewer.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/IncrementalClassifierEvaluator.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/IncrementalClassifierEvaluatorCustomizer.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/InstanceStreamToBatchMaker.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/KnowledgeFlow.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/KnowledgeFlowApp.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/Loader.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/LoaderCustomizer.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/LogPanel.java
   A /branches/stable-3-6/weka/src/main/java/weka/gui/beans/Messages.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/ModelPerformanceChart.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/PredictionAppender.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/PredictionAppenderCustomizer.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/Saver.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/SaverCustomizer.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/ScatterPlotMatrix.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/SerializedModelSaver.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/SerializedModelSaverCustomizer.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/StripChart.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/StripChartCustomizer.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/TestSetMaker.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/TextViewer.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/TrainTestSplitMaker.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/TrainTestSplitMakerCustomizer.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/TrainingSetMaker.java
   A /branches/stable-3-6/weka/src/main/java/weka/gui/beans/messages
   A /branches/stable-3-6/weka/src/main/java/weka/gui/beans/messages/messages.properties
   A /branches/stable-3-6/weka/src/main/java/weka/gui/beans/messages/messages_ja.properties
   A /branches/stable-3-6/weka/src/main/java/weka/gui/beans/xml/Messages.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/xml/XMLBeans.java
   A /branches/stable-3-6/weka/src/main/java/weka/gui/beans/xml/messages
   A /branches/stable-3-6/weka/src/main/java/weka/gui/beans/xml/messages/messages.properties
   A /branches/stable-3-6/weka/src/main/java/weka/gui/beans/xml/messages/messages_ja.properties
   M /branches/stable-3-6/weka/src/main/java/weka/gui/boundaryvisualizer/BoundaryPanel.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/boundaryvisualizer/BoundaryPanelDistributed.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/boundaryvisualizer/BoundaryVisualizer.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/boundaryvisualizer/KDDataGenerator.java
   A /branches/stable-3-6/weka/src/main/java/weka/gui/boundaryvisualizer/Messages.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/boundaryvisualizer/RemoteBoundaryVisualizerSubTask.java
   A /branches/stable-3-6/weka/src/main/java/weka/gui/boundaryvisualizer/messages
   A /branches/stable-3-6/weka/src/main/java/weka/gui/boundaryvisualizer/messages/messages.properties
   A /branches/stable-3-6/weka/src/main/java/weka/gui/boundaryvisualizer/messages/messages_ja.properties
   M /branches/stable-3-6/weka/src/main/java/weka/gui/experiment/AlgorithmListPanel.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/experiment/DatasetListPanel.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/experiment/DistributeExperimentPanel.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/experiment/Experimenter.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/experiment/ExperimenterDefaults.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/experiment/GeneratorPropertyIteratorPanel.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/experiment/HostListPanel.java
   A /branches/stable-3-6/weka/src/main/java/weka/gui/experiment/Messages.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/experiment/OutputFormatDialog.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/experiment/ResultsPanel.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/experiment/RunNumberPanel.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/experiment/RunPanel.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/experiment/SetupModePanel.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/experiment/SetupPanel.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/experiment/SimpleSetupPanel.java
   A /branches/stable-3-6/weka/src/main/java/weka/gui/experiment/messages
   A /branches/stable-3-6/weka/src/main/java/weka/gui/experiment/messages/messages.properties
   A /branches/stable-3-6/weka/src/main/java/weka/gui/experiment/messages/messages_ja.properties
   M /branches/stable-3-6/weka/src/main/java/weka/gui/explorer/AssociationsPanel.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/explorer/AttributeSelectionPanel.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/explorer/ClassifierPanel.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/explorer/ClustererPanel.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/explorer/DataGeneratorPanel.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/explorer/Explorer.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/explorer/ExplorerDefaults.java
   A /branches/stable-3-6/weka/src/main/java/weka/gui/explorer/Messages.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/explorer/PreprocessPanel.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/explorer/VisualizePanel.java
   A /branches/stable-3-6/weka/src/main/java/weka/gui/explorer/messages
   A /branches/stable-3-6/weka/src/main/java/weka/gui/explorer/messages/messages.properties
   A /branches/stable-3-6/weka/src/main/java/weka/gui/explorer/messages/messages_ja.properties
   M /branches/stable-3-6/weka/src/main/java/weka/gui/graphvisualizer/BIFParser.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/graphvisualizer/DotParser.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/graphvisualizer/GraphVisualizer.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/graphvisualizer/HierarchicalBCEngine.java
   A /branches/stable-3-6/weka/src/main/java/weka/gui/graphvisualizer/Messages.java
   A /branches/stable-3-6/weka/src/main/java/weka/gui/graphvisualizer/messages
   A /branches/stable-3-6/weka/src/main/java/weka/gui/graphvisualizer/messages/messages.properties
   A /branches/stable-3-6/weka/src/main/java/weka/gui/graphvisualizer/messages/messages_ja.properties
   M /branches/stable-3-6/weka/src/main/java/weka/gui/hierarchyvisualizer/HierarchyVisualizer.java
   A /branches/stable-3-6/weka/src/main/java/weka/gui/hierarchyvisualizer/Messages.java
   A /branches/stable-3-6/weka/src/main/java/weka/gui/hierarchyvisualizer/messages
   A /branches/stable-3-6/weka/src/main/java/weka/gui/hierarchyvisualizer/messages/messages.properties
   A /branches/stable-3-6/weka/src/main/java/weka/gui/hierarchyvisualizer/messages/messages_ja.properties
   A /branches/stable-3-6/weka/src/main/java/weka/gui/messages
   A /branches/stable-3-6/weka/src/main/java/weka/gui/messages/messages.properties
   A /branches/stable-3-6/weka/src/main/java/weka/gui/messages/messages_ja.properties
   M /branches/stable-3-6/weka/src/main/java/weka/gui/sql/ConnectionPanel.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/sql/InfoPanel.java
   A /branches/stable-3-6/weka/src/main/java/weka/gui/sql/Messages.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/sql/QueryPanel.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/sql/ResultPanel.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/sql/ResultSetTable.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/sql/ResultSetTableCellRenderer.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/sql/ResultSetTableModel.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/sql/SqlViewer.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/sql/SqlViewerDialog.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/sql/event/HistoryChangedEvent.java
   A /branches/stable-3-6/weka/src/main/java/weka/gui/sql/event/Messages.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/sql/event/QueryExecuteEvent.java
   A /branches/stable-3-6/weka/src/main/java/weka/gui/sql/event/messages
   A /branches/stable-3-6/weka/src/main/java/weka/gui/sql/event/messages/messages.properties
   A /branches/stable-3-6/weka/src/main/java/weka/gui/sql/event/messages/messages_ja.properties
   A /branches/stable-3-6/weka/src/main/java/weka/gui/sql/messages
   A /branches/stable-3-6/weka/src/main/java/weka/gui/sql/messages/messages.properties
   A /branches/stable-3-6/weka/src/main/java/weka/gui/sql/messages/messages_ja.properties
   M /branches/stable-3-6/weka/src/main/java/weka/gui/streams/InstanceCounter.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/streams/InstanceJoiner.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/streams/InstanceLoader.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/streams/InstanceSavePanel.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/streams/InstanceTable.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/streams/InstanceViewer.java
   A /branches/stable-3-6/weka/src/main/java/weka/gui/streams/Messages.java
   A /branches/stable-3-6/weka/src/main/java/weka/gui/streams/messages
   A /branches/stable-3-6/weka/src/main/java/weka/gui/streams/messages/messages.properties
   A /branches/stable-3-6/weka/src/main/java/weka/gui/streams/messages/messages_ja.properties
   M /branches/stable-3-6/weka/src/main/java/weka/gui/treevisualizer/Edge.java
   A /branches/stable-3-6/weka/src/main/java/weka/gui/treevisualizer/Messages.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/treevisualizer/NamedColor.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/treevisualizer/Node.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/treevisualizer/TreeBuild.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/treevisualizer/TreeDisplayEvent.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/treevisualizer/TreeVisualizer.java
   A /branches/stable-3-6/weka/src/main/java/weka/gui/treevisualizer/messages
   A /branches/stable-3-6/weka/src/main/java/weka/gui/treevisualizer/messages/messages.properties
   A /branches/stable-3-6/weka/src/main/java/weka/gui/treevisualizer/messages/messages_ja.properties
   M /branches/stable-3-6/weka/src/main/java/weka/gui/visualize/AttributePanel.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/visualize/BMPWriter.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/visualize/ClassPanel.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/visualize/JComponentWriter.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/visualize/JPEGWriter.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/visualize/LegendPanel.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/visualize/MatrixPanel.java
   A /branches/stable-3-6/weka/src/main/java/weka/gui/visualize/Messages.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/visualize/PNGWriter.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/visualize/Plot2D.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/visualize/PlotData2D.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/visualize/PostscriptGraphics.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/visualize/PostscriptWriter.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/visualize/PrintableComponent.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/visualize/ThresholdVisualizePanel.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/visualize/VisualizePanel.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/visualize/VisualizeUtils.java
   A /branches/stable-3-6/weka/src/main/java/weka/gui/visualize/messages
   A /branches/stable-3-6/weka/src/main/java/weka/gui/visualize/messages/messages.properties
   A /branches/stable-3-6/weka/src/main/java/weka/gui/visualize/messages/messages_ja.properties

i18n internationalization and Japanese translation. Many thanks to Shingo Yamagami from KSK Solutions
------------------------------------------------------------------------
r7061 | mhall | 2011-02-10 20:00:59 +1300 (Thu, 10 Feb 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/associations/FPGrowth.java

Iterative routine for finding the requested number of rules now always starts at 1.0 for the support (instead of upper bound on min support). Upper bound is still used to prune the rule set in each iteration.
------------------------------------------------------------------------
r7064 | mhall | 2011-02-10 21:42:15 +1300 (Thu, 10 Feb 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/associations/FPGrowth.java

Fixed a compile error.
------------------------------------------------------------------------
r7066 | mhall | 2011-02-10 21:48:34 +1300 (Thu, 10 Feb 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/associations/Apriori.java

Now prunes generated rule sets according to the upper bound on the support (if < 1). Previously was pruning large item sets of each subsequently larger size according to the upper bound which is somewhat counterintuitive.
------------------------------------------------------------------------
r7082 | mhall | 2011-03-16 11:14:37 +1300 (Wed, 16 Mar 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/core/Capabilities.java

Constructor now checks to see if the owner is an UpdateableClassifier or UpdateableClusterer; if so, it sets the min number of instances to 0 (rather than the default of 1).
------------------------------------------------------------------------
r7088 | mhall | 2011-03-25 11:54:55 +1300 (Fri, 25 Mar 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/core/converters/TextDirectoryLoader.java

Added an option to allow a character set (e.g. UTF-8, US-ASCII, etc.) to be specified for use when reading the text files.
------------------------------------------------------------------------
r7092 | mhall | 2011-04-13 09:52:57 +1200 (Wed, 13 Apr 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/associations/FPGrowth.java

Fixed a bug that was causing an infinite loop in the iterative support reduction procedure.
------------------------------------------------------------------------
r7097 | mhall | 2011-04-29 20:54:11 +1200 (Fri, 29 Apr 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/core/converters/CSVLoader.java

Added an option to allow a range of attributes to be forced to type date, and an option to specify a date format for parsing date values.
------------------------------------------------------------------------
r7101 | mhall | 2011-05-06 11:54:54 +1200 (Fri, 06 May 2011) | 2 lines
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/explorer/AttributeSelectionPanel.java

Added "No class" to the class combo box. This allows principal components access to all the attributes if there is no class in the data. Previously, you were forced to have a class set, meaning that this attribute would always be omitted from the PCA.

------------------------------------------------------------------------
r7103 | mhall | 2011-05-13 21:01:02 +1200 (Fri, 13 May 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/filters/unsupervised/attribute/StringToNominal.java

Was not doing the right thing at all when run in batch mode. String values in the second batch of instances that occurred in the first batch were not being assigned the right index in the converted nominal attribute - fixed.
------------------------------------------------------------------------
r7107 | mhall | 2011-05-16 20:32:36 +1200 (Mon, 16 May 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/filters/unsupervised/attribute/Remove.java

Updated globalInfo() method and javadoc.
------------------------------------------------------------------------
r7114 | mhall | 2011-05-23 16:44:14 +1200 (Mon, 23 May 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/core/Copyright.props

Updated year to 2011
------------------------------------------------------------------------
r7117 | fracpete | 2011-05-25 15:39:59 +1200 (Wed, 25 May 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/core/converters/ArffSaver.java

writeBatch() is now more efficient by first writing the header and then one row at a time to disk instead of creating a string of the complete dataset in memory and then writing this string to disk
------------------------------------------------------------------------
r7121 | mhall | 2011-05-26 08:41:31 +1200 (Thu, 26 May 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/core/pmml/Function.java

Factory method was missing the built in string functions - fixed.
------------------------------------------------------------------------
r7135 | mhall | 2011-05-30 19:29:07 +1200 (Mon, 30 May 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/clusterers/XMeans.java

Added an accessor method to return the cluster centers.
------------------------------------------------------------------------
r7177 | mhall | 2011-06-12 20:06:01 +1200 (Sun, 12 Jun 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/classifiers/misc/VFI.java

Javadoc fix for the bias option
------------------------------------------------------------------------
r7180 | mhall | 2011-06-12 20:14:43 +1200 (Sun, 12 Jun 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/classifiers/misc/VFI.java

Another small javadoc fix
------------------------------------------------------------------------
r7191 | mhall | 2011-06-13 16:06:25 +1200 (Mon, 13 Jun 2011) | 1 line
Changed paths:
   A /branches/stable-3-6/weka/src/main/java/weka/gui/weka_icon_new.icns
   A /branches/stable-3-6/weka/src/main/java/weka/gui/weka_icon_new.png
   A /branches/stable-3-6/weka/src/main/java/weka/gui/weka_icon_new_48.png

New icons
------------------------------------------------------------------------
r7193 | mhall | 2011-06-13 16:07:46 +1200 (Mon, 13 Jun 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/GUIChooser.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/Main.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/KnowledgeFlowApp.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/experiment/Experimenter.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/explorer/Explorer.java

New icons and support for file associations under Mac OS X
------------------------------------------------------------------------
r7211 | mhall | 2011-06-14 21:27:57 +1200 (Tue, 14 Jun 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/KnowledgeFlowApp.java

Can now open a flow file as a command line argument
------------------------------------------------------------------------
r7212 | mhall | 2011-06-14 21:28:49 +1200 (Tue, 14 Jun 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/GUIChooser.java

Now has support for showing the KnowledgeFlow and loading a flow file supplied by the mac open files handler
------------------------------------------------------------------------
r7230 | mhall | 2011-06-16 21:12:19 +1200 (Thu, 16 Jun 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/InstancesSummaryPanel.java

Now sets the tip text for the relation name label to be equal to the relation name (so that the full relation name can be seen when the mouse hovers over the name on the panel).
------------------------------------------------------------------------
r7256 | mhall | 2011-06-20 11:57:43 +1200 (Mon, 20 Jun 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/Classifier.java

Notify batch classifier listeners now first checks the executing thread's interrupted status.
------------------------------------------------------------------------
r7261 | mhall | 2011-06-20 15:52:15 +1200 (Mon, 20 Jun 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/StripChart.java

Chart window now is always on top.
------------------------------------------------------------------------
r7267 | mhall | 2011-06-21 08:48:11 +1200 (Tue, 21 Jun 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/attributeSelection/GreedyStepwise.java

Improved the output to explain the ranking (both forward and backward) produced when the ranked list option is turned on.
------------------------------------------------------------------------
r7299 | mhall | 2011-06-24 16:17:32 +1200 (Fri, 24 Jun 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/explorer/PreprocessPanel.java

Apply button for the filters is now only enabled if there is a data set loaded.
------------------------------------------------------------------------
